package cokr.xit.ens.biz.iup.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 민자고속도로 발송구분 코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2022. 3. 2. 오후 3:51:43
 * </ul>
 * @author 박민규
 */

public enum IupSendTypeCd implements CodeMapperType {

    NI("알림톡")
    ,KP("인증톡")
    ;

    private final String code;     
    private final String codeNm;   
    IupSendTypeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
